# Events attached to the latest shared snapshot

URL: https://docs.fxapis.com/api-reference/marketlabs/events-attached-to-the-latest-shared-snapshot

> Events attached to the latest shared snapshot.

`GET https://api.fxapis.com/v1/marketlabs/markets/{symbol}/events`

Authentication: `Authorization: Bearer <API key>`.

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `symbol` | path | string | yes | Instrument, such as EURUSD. |

#### Responses

- `200`
- `400`
- `401`
- `402`
- `403`
- `404`
- `409`
- `503`

Failures return `{ "error": { "code", "message" } }`; every code is listed at https://docs.fxapis.com/errors.

#### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | object[] | yes |  |
| `data[].id` | string | yes |  |
| `data[].symbol` | string | yes |  |
| `data[].title` | string | yes |  |
| `data[].occurredAt` | string (date-time) | yes |  |
| `requestId` | string | yes |  |